# User | Individual Scorings and Statistics

{% content-ref url="/pages/-MIwuMaFXm6EkQXbwQR1" %}
[Broken mention](broken://pages/-MIwuMaFXm6EkQXbwQR1)
{% endcontent-ref %}

{% hint style="warning" %}
Individual Scorings and Statistics — methods that allow to get Scorings and Statistics when **authorized as User** only!

Please, read this doc carefully before start:
{% endhint %}

{% content-ref url="/pages/-M2cbbSRbIXaO9xQ9y0l" %}
[API Authorization](/user-statistics-and-analytics/authentication.md)
{% endcontent-ref %}

## Individual Scorings

{% hint style="info" %}
How the aggregated 14-day scoring is counted:
{% endhint %}

{% content-ref url="/pages/-Lw3KifDldQK4-RDAVqP" %}
[Risk driving Scoring](/product-description/scoring/riskdrivingscore.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MJ83poNeSXHiuTT2XgN" %}
[Eco Scoring](/product-description/scoring/eco-scoring.md)
{% endcontent-ref %}

## Individual Safe driving Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/individual`

Get an individual average scoring for requested period.\
\
**Authorization:** Required as User

#### Query Parameters

| Name      | Type   | Description                                                 |
| --------- | ------ | ----------------------------------------------------------- |
| startDate | string | 2020-09-16                                                  |
| endDate   | string | 2020-09-30                                                  |
| tag       | string | consider only tagged trips (follow to SDK features => tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 User has actual for today user scoring" %}

```
{
  "Result": 
    {
      "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa3",
      "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 94.66666666666667,
      "BrakingScore": 78.66666666666667,
      "SpeedingScore": 40,
      "DistractedScore": 68.66666666666667,
      "CorneringScore": 100,
      "OverallScore": 69.66666666666667
    }
  ,
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Individual Daily Safe driving Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/individual/daily`

Get an individual daily scoring for requested period\
\
**Authorization:** Required as User

#### Query Parameters

| Name      | Type   | Description                                                 |
| --------- | ------ | ----------------------------------------------------------- |
| startDate | string | 2020-09-16                                                  |
| endDate   | string | 2020-09-30                                                  |
| tag       | string | consider only tagged trips (follow to SDK features => Tags) |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "d71937a5-5f3a-4dc2-b449-e80d241864e4",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 57,
      "BrakingScore": 70,
      "SpeedingScore": 61,
      "DistractedScore": 65,
      "CorneringScore": 71,
      "OverallScore": 75,
      "CalcDate": "2020-08-01T00:00:00"
    },
    {
      "DeviceToken": "d71937a5-5f3a-4dc2-b449-e80d241864e4",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "AccelerationScore": 61,
      "BrakingScore": 67,
      "SpeedingScore": 59,
      "DistractedScore": 66,
      "CorneringScore": 77,
      "OverallScore": 75,
      "CalcDate": "2020-08-03T00:00:00"
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Individual Eco driving Scoring

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Scorings/individual/eco`

Get current accumulated user eco scoring\
\
**Authorization:** Required as User

#### Headers

| Name          | Type   | Description                                                                   |
| ------------- | ------ | ----------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login>) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result": [
    {
      "DeviceToken": "d71937a5-5f3a-4fc2-b449-e80d241864e4",
      "InstanceId": "3c1c8fd7-4133-405a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-baf0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4bgb-a40e-1f9b53f0e0be",
      "EcoScoringFuel": 99.15114,
      "EcoScoringTyres": 83.39971,
      "EcoScoringBrakes": 85.882416,
      "EcoScoringDepreciation": 99.0,
      "EcoScoring": 82.95479
    }
  ],
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Individual Statistics

## Individual User Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/individual/`

Get individual user statistics for requested period\
\
**Authorization:** Required as User

#### Query Parameters

| Name      | Type   | Description                                                 |
| --------- | ------ | ----------------------------------------------------------- |
| startDate | string | 2020-09-16                                                  |
| endDate   | string | 2020-09-30                                                  |
| tag       | string | consider only tagged trips (follow to SDK features => Tags) |

#### Headers

| Name          | Type   | Description                                                                   |
| ------------- | ------ | ----------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/Auth/Login>) |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result":
    {
      "DeviceToken": "d71937a5-5f3a-4dc2-b449-e80d241864e4",
      "InstanceId": "3c1c8fd7-4133-404a-82e9-93a015d85362",
      "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
      "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
      "MileageKm": 50.95000000000001,
      "MileageMile": 31.66033,
      "TripsCount": 9,
      "DriverTripsCount": 0,
      "OtherTripsCount": 9,
      "MaxSpeedKmh": 88.07221984863281,
      "MaxSpeedMileh": 54.728077413940426,
      "AverageSpeedKmh": 29.905130922862075,
      "AverageSpeedMileh": 18.58304835546649,
      "TotalSpeedingKm": 12.16,
      "TotalSpeedingMile": 7.556223999999999,
      "AccelerationCount": 1,
      "BreakingCount": 1,
      "CorneringCount": 1,
      "PhoneUsageDurationMin": 2.5,
      "PhoneUsageDistanceKm": 1.6570000000000003,
      "PhoneUsageDistanceMile": 1.0296598000000001,
      "PhoneUsageOverSpeedDurationMin": 0.05,
      "PhoneUsageOverSpeedDistanceKm": 0.047,
      "PhoneUsageOverSpeedDistanceMile": 0.029205799999999997,
      "DrivingTime": 82.20000000000002,
      "NightDrivingTime": 0,
      "DayDrivingTime": 21.583333373069763,
      "RushHoursDrivingTime": 75.533331990242
    }
  ,
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Individual User Daily Statistics

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/individual/daily/`

Get individual daily statistics for requested period\
\
**Authorization:** Required as User

#### Query Parameters

| Name      | Type   | Description |
| --------- | ------ | ----------- |
| startDate | string | 2020-09-16  |
| endDate   | string | 2020-09-30  |

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
    "Result":
    {
        "DeviceToken": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "InstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "AppId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "CompanyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "ReportDate": "2020-09-01T00:00:00",
        "MileageKm": 173.363,
        "MileageMile": 107.72776819999999,
        "TripsCount": 9,
        "DriverTripsCount": 0,
        "OtherTripsCount": 9,
        "MaxSpeedKmh": 96.83999633789062,
        "MaxSpeedMileh": 60.17637372436523,
        "AverageSpeedKmh": 41.62794511159958,
        "AverageSpeedMileh": 25.867605092347976,
        "TotalSpeedingKm": 3.5650000000000004,
        "TotalSpeedingMile": 2.215291,
        "AccelerationCount": 5,
        "BreakingCount": 10,
        "CorneringCount": 4,
        "PhoneUsageDurationMin": 5.383333333333334,
        "PhoneUsageDistanceKm": 0.651,
        "PhoneUsageDistanceMile": 0.4045314,
        "PhoneUsageOverSpeedDurationMin": 0.0,
        "PhoneUsageOverSpeedDistanceKm": 0.0,
        "PhoneUsageOverSpeedDistanceMile": 0.0,
        "DrivingTime": 332.41666666666663,
        "NightDrivingTime": 0.0,
        "DayDrivingTime": 195.83333539962769,
        "RushHoursDrivingTime": 142.55000114440918
    },
    "Status": 200,
    "Title": "",
    "Errors": []
}
```

{% endtab %}
{% endtabs %}

## Individual Latest Scoring and Track dates

## Individual Latest Scoring and Track dates

<mark style="color:blue;">`GET`</mark> `https://api.telematicssdk.com/statistics/v1/Statistics/individual/latestDates`

**Authorization**: Required as User

#### Headers

| Name          | Type   | Description                                                                  |
| ------------- | ------ | ---------------------------------------------------------------------------- |
| Authorization | string | "Bearer {Token}" - get it via <https://user.telematicssdk.com/v1/auth/login> |

{% tabs %}
{% tab title="200 " %}

```
{
  "Result":
  {
    "DeviceToken": "58156858-3629-4931-89d9-0043e5873b91",
    "InstanceId": "5198e42d-3c0b-498e-9316-388fbc5f501d",
    "AppId": "3511c419-ea19-477d-bff0-980ec9dbb864",
    "CompanyId": "2fd6d2ef-7eb6-4beb-a40e-1f9b53f0e0be",
    "LastTrackDate": "2020-08-20T15:00:58.81", // +03:00
    "LastScoringDate": "2020-08-20T00:00:00"
  },
  "Status": 200,
  "Title": "",
  "Errors": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/user-statistics-and-analytics/get-started-statistics-and-scoring-apis/individual-statistics-and-scorings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
